:root {
    --border-color: rgba(0, 0, 0, 1);
    --button-hover-bg: grey;
    --menu-content-bgc: rgba(255, 255, 255, 1);
    --header-color: #ac0016;
    --main-order-button-color: #dc98a1;
    --font-size-header: 1.5em;
    --font-size-p: 1em;
    --header-line-height: 40px;
    --price-block-bgc: #e5e5e6;
}


* {
    box-sizing: border-box;

}

html,
body {
    margin: 0;
    padding: 0;
    font-family: 'Eastman Alternate';
    font-size: 16px;
}

p{
    margin: 0;
}

h3{
    margin: 0;
}

#mobile-menu {
    margin: 0;
    padding: 0;
}

#mobile-menu > .menu-header {
    display: flex;
    background: var(--menu-content-bgc);
}

#mobile-menu > .menu-header > .desktop-menu{
    display: none;
}

@keyframes rotate {
    0% {
        transform: rotateY(0deg);
    }
    50% {
        transform: rotateY(180deg);

    }
    100% {
        transform: rotateY(0deg);
    }
}


.preloader {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--menu-content-bgc);

}

.preloader > img {
    animation: 3s linear infinite rotate;
}


.menu-content {
    background-color: var(--menu-content-bgc);
    height: calc(100vh - 75px);
    opacity: 1;
    pointer-events: auto;
    transition: opacity 0.2s ease-out;
}

.menu-content > .menu-content-ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.menu-content > .menu-content-ul li {
    width: 100%;
    margin: 15px 0;
    text-align: center;
    position: relative;
}

.menu-content > .menu-content-ul li:after {
    content: '';
    display: block;
    height: 2px;
    width: 100%;
    position: absolute;
    top: calc(100% + 15px);
    background: rgb(0, 0, 0);
    background: linear-gradient(90deg, rgba(0, 0, 0, 0) 15%, var(--border-color) 30%, var(--border-color) 70%, rgba(0, 0, 0, 0) 85%);
}


.horizontal-line {
    width: 70%;
    border-bottom: 1px solid var(--border-color);
}

.hidden {
    display: none;
}

#logo {
    height: 75px;
}

#logo > img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
}

.inform-menu {
    display: flex;

}

.inform-menu > .menu-button-div {
    display: flex;
    align-items: center;
    margin: 0 5px 0 0;

}

.filler {
    flex-grow: 1;
}

nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    max-height: 100%;
    z-index: 1001;
}
body > .offer{
    height: 75px;
}

#menu-button {
    width: 40px;
    height: 40px;
    background: transparent;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
}

#menu-button > svg {
    transition: opacity 0.5s ease-out;
}


#menu-button > svg:last-child {
    width: 0;
    height: 0;
    opacity: 0;
}

#menu-button.is_close > svg:last-child {
    width: 100%;
    height: 100%;
    opacity: 1;
}

#menu-button.is_close > svg:first-child {
    display: none;
    opacity: 0;
}


.social-media-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.social-media-menu > a {
    white-space: nowrap;
    font-size: 0.8em;
}

.social-media-menu .number-header {
    font-size: 0.65em;
    margin: 5px 0;
}


.social-icons {
    display: flex;
    align-items: center;
    justify-content: center;
}

.social-icons > a {
    display: block;
    width: 40px;
    height: 40px;
    margin: 10px;
}

.social-icons > a > svg, .social-icons > a > img, .social-content > a > img {
    width: 100%;
    height: 100%;
}

#telegram-button{
    color: #36a0d3;
}

#instagam-button{
    color: #e11233;
}

#whatsapp-button{
    color: #1bd541;
}
a {
    text-decoration: none;
    color: inherit;
}

section > h3 {
    margin:  1em 0 ;
    letter-spacing: 1px;
    text-align: center;
    line-height: var(--header-line-height);
    font-size: var(--font-size-header);
    color: var(--header-color);

}


#about_me {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: calc(100vh - 75px);
    font-weight: 400;
    justify-content: center;
    gap: 30px;
}
#about_me *:not(:first-child){
    z-index: 5;
}
#about_me .background{
    top: 0;
    left: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url("../img/микрофон_.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

#about_me .background .blur{
    height: 100%;
    width: 100%;
     background: rgba(255, 255, 255, 0.8);
    backdrop-filter: blur(2px);
}
#about_me .filler:not(:first-child){
    flex-grow: 2;
}

#about_me > h3 {
    margin-top: 20px;
    margin-bottom: 0;
    font-size: 1.5em;
    line-height: 1.3em;
    letter-spacing: 3px;
}

#about_me > h3 span{
    font-size: 1.5em;
}

#about_me > p {
    text-align: center;
}

section > p {
    font-size: var(--font-size-p);
    margin: 1em;
}


section {
    padding: 0 5%;
}

#about_me > .order-div{
    margin-bottom: 20px;
    width: 80%;
    border-radius: 20px;
    background-color: var(--price-block-bgc);
    max-width: 580px;
}

#about_me > .contact-us {
    display: flex;
    justify-content: space-between;
    width: 100%;

}

.order-div > p{
    font-size: 1.2em;
    text-align: center;
}

#about_me > .contact-us .price-block{
    height: 100%;
    margin: auto;
    background: var(--price-block-bgc);
    border-radius: 20px;
    padding: 8px;
    text-align: center;
}

.price-block p{
    font-size: 0.85em;
}
.price-block p > span{
    font-weight: bold ;
    font-size: 1.3em;
}
#about_me > .contact-us > .column {
    flex: 50%;
    display: flex;
    align-items: center;
    font-size: 1.3em;
}

#about_me > .contact-us > .column ul {
    padding: 0;
    margin: 0;
    list-style-type: none;
}

#about_me > .contact-us > .column ul li:before {
    content: '\2713';
    margin-right: 5px;
    font-weight: 900;
    color: #00c853;
    font-size: var(--font-size-p);
}

#about_me #order-button {
    width: 284px;
    height: 80px;
    border-radius: 28px;
    background-color: var(--main-order-button-color);
    border: none;
    font-weight: bold;
    font-size: 15px;
}

#block2 > h3 {
    color: black;
}

.content .card {
    padding: 20px 0;
    display: flex;
    flex-direction: column;
}

.content .card .card-picture {
    display: flex;
    justify-content: center;
    position: relative;
}

.custom-video-controller{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgb(255,255,255,0.2);
    border-radius: 20px;
    backdrop-filter: blur(1px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
}

.custom-video-controller.is_played{
    backdrop-filter: none;
}

.custom-video-controller.is_played > .control-buttons{
    display: none;
}


.custom-video-controller .control-buttons{
    width: 30%;
}

.custom-video-controller button{
    background-color: transparent;
    border: none;
    margin: auto;
    display: block;

}

.content .card .card-picture video {
    object-fit: cover;
    max-width: 650px;
    width: 100%;
    border-radius: 20px;
}

.custom-video-controller button  img{
    width: 100%;
    height: 100%;
    object-fit: scale-down;
}

.content .card h5  {
    font-size: 1.3em;
    margin: 15px 0 5px 0;
    color: var(--header-color);
    letter-spacing: 1px;
    text-align: center;
}

.content .card p {
    font-size: 1.15em;
    text-align: justify;
}


#block3 .block3-content .picture {
    display: flex;
    justify-content: center;
    position: relative;
}

#block3 .block3-content .picture video{
    width: 100%;
    object-fit: cover;
    max-width: 800px;
    border-radius: 20px;
}

#block3 > p{
    font-size: 1.1em;
}

#block3 .block3-content {
    display: flex;
    flex-direction: column;
    justify-content: center;
}



.block3-content ul {
    display: flex;
    flex-direction: column;
    list-style-type: none;
    padding: 0;
    justify-content: space-around;
    margin: 0;
}

.block3-content ul li {
    padding: 5px;
    display: flex;
    align-items: center;
    font-size: 1em;
}

.block3-content ul li:before {
    display: inline-block;
    content: '';
    background: url('../img/key_logo.png') top no-repeat;
    background-size: 20px 40px;
    width: 20px;
    height: 40px;
    -webkit-appearance: none;
}

#block4 h3{
    color: black;
}
#block4 .content {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

#block4 .content .svg-ico {
    width: 80px;
    height: 80px;
    flex-shrink: 0;
    margin: 0 10px 0 0;
}

#block4 .content .svg-ico img {
    object-fit: cover;
    width: 100%;
}


#block4 .content .characteristic:nth-child(n+4){
    display: none;

}
#block4 .content .characteristic {
    display: flex;
    gap: 10px;
}

#block4 .content .characteristic-detail .header {
    font-weight: bold;
}

#reviews{
    padding: 0 0;
}
#reviews > div {
    flex-grow: 1;
    z-index: 1;
    position: relative;
}

#reviews .owl-carousel .owl-item img{
    width: 100%;
    height: 100%;
    max-width: 600px;
    object-fit: scale-down;
    margin: auto;
    display: block;
}

#reviews #img-reviews-nav{
    display: none;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    z-index: 5;
    width: 100%;

}


#reviews #img-reviews-nav button{
    display: block;
    border: none;
    font-size: 20px;
    width: 50px;
    cursor: pointer;
    border-radius: 50%;
    padding: 0;
    background-color: rgb(255,255,255, 0.8);
    backdrop-filter: blur(2px);
}
#reviews #img-reviews-nav button:first-child{
    margin-right: auto;
}

#reviews #img-reviews-nav button:last-child{
    margin-left: auto;
}
#reviews #img-reviews-nav button >img{
    display: block;
}

#block5 > .img-container{
    height: calc(100vh - 300px);
    overflow: hidden;

}


#block5 > h3 {
    color: black;
    letter-spacing: 1px;
}

#block5 #main-photo {
    object-fit: scale-down;
    height: 100%;
    display: block;
    margin: auto;
    border-radius: 20px;
}

#block5 > picture {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100% - 140px);
    max-height: 500px;
}

#footer {
    margin: 20px 0;
    padding: 0 10px;
    display: flex;
    justify-content: space-between;
    height: 50px;

}


#footer .social-icons {
    display: flex;
    flex-direction: column;
}

#footer .social-icons .social-content {
    display: flex;
}

#footer .social-icons .social-content a{
    width: 30px;
    height: 30px;
    margin: 0 10px;
}
#footer .social-email {
    text-align: center;
}


.owl-dots {
    width: 100%;
    text-align: center;
    z-index: 5;
}

.owl-dots > button {
    padding: 0;
    display: inline-block;
    width: 7px;
    height: 7px;
    margin: 5px;
    border-radius: 50%;
    background-color: #000000;
    transition: background 0.3s ease-out, transform 0.3s ease-out;
}

.owl-dots > button.active {
    transform: scale(1.5);
}


.popup-menu{
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background-color: rgb(255,255,255, 0.8);
    z-index: 10000;
}




